Bug 508337 - fix rhnpush to support sha256 checksum if available
fix rhnpush to support sha256 checksum if available
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: sha256-feature space08
  Show dependency treegraph
 
Reported: 2009-06-26 12:23 EDT by Pradeep Kilambi
Modified: 2010-02-16 07:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 07:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-06-26 12:23:48 EDT
Description of problem:

Fix the push to be able to handle sha256 and md5sum. Client should be able to compute the sha256 along with md5sum at the upload time. The server should extract both these and associate it to the package id in the db.
Comment 3 Michael Mráka 2010-01-27 16:49:09 EST
Done as a part of SHA256 feature during Spacewalk 0.8 development period.
Comment 4 Michael Mráka 2010-02-16 07:59:18 EST
Spacewalk 0.8 has been released

Note You need to log in before you can comment on or make changes to this bug.